Package wx :: Class ColourDialog

[frames | no frames]

## Type ColourDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                ColourDialog

This class represents the colour chooser dialog.

Method Summary
ColourDialog | ``__init__`(self, parent, data)` Constructor.
ColourData | ``GetColourData`(self)` Returns a reference to the `wx.ColourData` used by the dialog.

Property Summary
| `ColourData`: See `GetColourData`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, data=None)
(Constructor)

Constructor. Pass a parent window, and optionally a `wx.ColourData`, which will be copied to the colour dialog's internal ColourData instance.

  Parameters:
    `parent`
    (type=Window)

    `data`
    (type=ColourData)

  Returns:
    ColourDialog
  Overrides:
    `wx.Dialog.__init__`

### GetColourData(self)

Returns a reference to the `wx.ColourData` used by the dialog.

  Returns:
    ColourData

Property Details

### ColourData

See `GetColourData`

  Get Method:
    `GetColourData`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:03 2007 | http://epydoc.sf.net